Bug 2083 - passdb/secrets.c: 'dummy' should be an unsigned char
passdb/secrets.c: 'dummy' should be an unsigned char
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.9
SGI IRIX
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-23 17:05 UTC by Jason Mader
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2004-11-23 17:05:19 UTC
cc-1164 cc: WARNING File = passdb/secrets.c, Line = 77
  Argument of type "char *" is incompatible with parameter of type
          "unsigned char *".

        generate_random_buffer(&dummy, sizeof(dummy));


the function is defined in lib/genrand.c as,
  void generate_random_buffer( unsigned char *out, int len)
Comment 1 Jeremy Allison 2004-11-24 17:25:41 UTC
Fixed, thanks.
Jeremy.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:19:39 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.